com.jscape.inet.mft.management.descriptors

## Class MaxUploadsServiceDescriptor

- java.lang.Object
- - com.jscape.inet.mft.management.descriptors.Configuration
  - - com.jscape.inet.mft.management.descriptors.ServiceDescriptor
    - - com.jscape.inet.mft.management.descriptors.MaxUploadsServiceDescriptor

- All Implemented Interfaces:
    com.jscape.util.db.IntVersioned, java.io.Serializable

      public class MaxUploadsServiceDescriptor
      extends ServiceDescriptor

  Domain upload service descriptor. The service described by this descriptor takes responsibility for limiting uploads count.
  Author:
    Alex Usun
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static long` | `DEFAULT_PERIOD`
    `static long` | `DEFAULT_VALUE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MaxUploadsServiceDescriptor()` This constructor is used by serialization sub-system and is not intended to use directly in client code.
    `MaxUploadsServiceDescriptor(long value, long resetPeriod)` Creates a new descriptor instance.
    `MaxUploadsServiceDescriptor(long value, long resetPeriod, long transferredBytes, long nextResetTime)` Creates a new service descriptor.
    `MaxUploadsServiceDescriptor(MaxUploadsServiceDescriptor that)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Configuration` | `copy()`
    `long` | `getNextResetTime()` Retuns next reset time.
    `long` | `getResetPeriod()` Returns counter reset period.
    `long` | `getTransferredBytes()` Returns transferred bytes count.
    `long` | `getValue()` Returns max uploads.
    `void` | `setNextResetTime(long value)` Sets next reset time.
    `void` | `setResetPeriod(long value)` Sets counter reset period.
    `void` | `setTransferredBytes(long value)` Sets transferred bytes count.
    `void` | `setValue(long value)` Sets max uploads.
    `java.lang.String` | `toString()`
    `Quota` | `transferQuota()`

    - ### Methods inherited from class com.jscape.inet.mft.management.descriptors.Configuration

      `getVersion, setVersion`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_VALUE

          public static final long DEFAULT_VALUE

      See Also:
        Constant Field Values

    - #### DEFAULT_PERIOD

          public static final long DEFAULT_PERIOD

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MaxUploadsServiceDescriptor

          public MaxUploadsServiceDescriptor(long value,
                                             long resetPeriod,
                                             long transferredBytes,
                                             long nextResetTime)

      Creates a new service descriptor.
      Parameters:
        `value` - max uploads in bytes
        `resetPeriod` - reset period in ms
        `transferredBytes` - transferred bytes count
        `nextResetTime` - next reset time

    - #### MaxUploadsServiceDescriptor

          public MaxUploadsServiceDescriptor(MaxUploadsServiceDescriptor that)

    - #### MaxUploadsServiceDescriptor

          public MaxUploadsServiceDescriptor(long value,
                                             long resetPeriod)

      Creates a new descriptor instance.
      Parameters:
        `value` - max uploads in bytes
        `resetPeriod` - reset period in ms

    - #### MaxUploadsServiceDescriptor

          public MaxUploadsServiceDescriptor()

      This constructor is used by serialization sub-system and is not intended to use directly in client code.

  - ### Method Detail

    - #### getValue

          public long getValue()

      Returns max uploads.
      Returns:
        max uploads bytes

    - #### setValue

          public void setValue(long value)

      Sets max uploads.
      Parameters:
        `value` - max uploads bytes

    - #### getResetPeriod

          public long getResetPeriod()

      Returns counter reset period.
      Returns:
        counter reset period in ms

    - #### setResetPeriod

          public void setResetPeriod(long value)

      Sets counter reset period.
      Parameters:
        `value` - counter reset period in ms

    - #### getTransferredBytes

          public long getTransferredBytes()

      Returns transferred bytes count.
      Returns:
        transferred bytes count

    - #### setTransferredBytes

          public void setTransferredBytes(long value)

      Sets transferred bytes count.
      Parameters:
        `value` - transferred bytes count

    - #### getNextResetTime

          public long getNextResetTime()

      Retuns next reset time.
      Returns:
        next reset time

    - #### setNextResetTime

          public void setNextResetTime(long value)

      Sets next reset time.
      Parameters:
        `value` - next reset time

    - #### copy

          public Configuration copy()

      Specified by:
        `copy` in class `Configuration`

    - #### transferQuota

          public Quota transferQuota()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2009-2022. Redwood Software Inc. All rights reserved.